javax.xml.stream.util

## Class EventReaderDelegate

- java.lang.Object
- - javax.xml.stream.util.EventReaderDelegate

All Implemented Interfaces:
  java.util.Iterator, XMLEventReader

    public class EventReaderDelegate
    extends java.lang.Object
    implements XMLEventReader

### Constructor Summary

Constructors
Constructor and Description
`EventReaderDelegate()`
`EventReaderDelegate(XMLEventReader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`java.lang.String` `getElementText()`
`XMLEventReader` `getParent()`
`java.lang.Object` `getProperty(java.lang.String name)`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`XMLEvent` `nextEvent()`
`XMLEvent` `nextTag()`
`XMLEvent` `peek()`
`void` `remove()`
`void` `setParent(XMLEventReader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### EventReaderDelegate

    public EventReaderDelegate()

#### EventReaderDelegate

    public EventReaderDelegate(XMLEventReader reader)

### Method Detail

#### setParent

    public void setParent(XMLEventReader reader)

#### getParent

    public XMLEventReader getParent()

#### close

    public void close()
               throws XMLStreamException

Specified by:
  `close` in interface `XMLEventReader`
Throws:
  `XMLStreamException`

#### getElementText

    public java.lang.String getElementText()
                                    throws XMLStreamException

Specified by:
  `getElementText` in interface `XMLEventReader`
Throws:
  `XMLStreamException`

#### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws java.lang.IllegalArgumentException

Specified by:
  `getProperty` in interface `XMLEventReader`
Throws:
  `java.lang.IllegalArgumentException`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator`
Specified by:
  `hasNext` in interface `XMLEventReader`

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator`

#### nextEvent

    public XMLEvent nextEvent()
                       throws XMLStreamException

Specified by:
  `nextEvent` in interface `XMLEventReader`
Throws:
  `XMLStreamException`

#### nextTag

    public XMLEvent nextTag()
                     throws XMLStreamException

Specified by:
  `nextTag` in interface `XMLEventReader`
Throws:
  `XMLStreamException`

#### peek

    public XMLEvent peek()
                  throws XMLStreamException

Specified by:
  `peek` in interface `XMLEventReader`
Throws:
  `XMLStreamException`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator`